<?php 
$php_version_success = false;
$curl_success = false;
$mysqli_success = false;
$openssl_success = false;
$pdo_success = false;
$gd_success = false;
$zip_success = false;
$mbstring_success = false;
$exif_success = false;
$mcrypt_success = false;
$allow_url_fopen_success = false;
$file_index_success = false;
$file_config_success = false;
$file_uploads_success = false;
$file_tmp_success = false;
$all_requirements_success = false;

//PHP Version
$php_version_required = "5.6.0";
$current_php_version = PHP_VERSION;

if (version_compare($current_php_version, $php_version_required) >= 0) {
    $php_version_success = true;
}

//cURL
$curl = function_exists("curl_version") ? curl_version() : false;
if (!empty($curl["version"]) && version_compare($curl["version"], '7.19.4') >= 0){
	$curl_success = true;
}

//MySQLi
if (function_exists("mysqli_connect")) {
    $mysqli_success = true;
}

//OpenSSL
$openssl = extension_loaded('openssl'); 
if ($openssl && !empty(OPENSSL_VERSION_NUMBER)) {
    $installed_openssl_version = get_openssl_version_number(OPENSSL_VERSION_NUMBER);
}

if (!empty($installed_openssl_version) && $installed_openssl_version >= "1.0.0c"){
	$openssl_success = true;
}

//GD
if (extension_loaded('gd') && function_exists('gd_info')) {
    $gd_success = true;
}

//allow_url_fopen
if (ini_get('allow_url_fopen')) {
    $allow_url_fopen_success = true;
}

//PDO
if (defined('PDO::ATTR_DRIVER_NAME')) {
    $pdo_success = true;
}

//mbstring
if(extension_loaded('mbstring') && function_exists('mb_get_info')){
	$mbstring_success = true;
}

if(function_exists('mcrypt_encrypt')) {
    $mcrypt_success = true;
}

//EXIF
if(function_exists('exif_read_data')){
	$exif_success = true;
}

//ZIP
if (extension_loaded('zip')){
	$zip_success = true;
}

//File index
if (is_writeable(".././index.php")) {
    $file_index_success = true;
}

//File Config
if (is_writeable(".././app/config.php")) {
    $file_config_success = true;
}

//Folder uploads
if (is_writeable(".././assets/uploads/")) {
    $file_uploads_success = true;
}

//Folder tmp
if (is_writeable(".././assets/tmp/")) {
    $file_tmp_success = true;
}

if($php_version_success && $curl_success && $mysqli_success && $openssl_success && $pdo_success && $gd_success && $mbstring_success && $mcrypt_success && $zip_success && $exif_success && $allow_url_fopen_success && $file_index_success && $file_config_success && $file_uploads_success && $file_tmp_success){
	$all_requirements_success = true;
}

?>

<!DOCTYPE html>
<html>
<head>
	<title>ایزی گرام 6.7 اورجینال | p30script.com</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link rel="stylesheet" type="text/css" href="./assets/plugins/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="./assets/plugins/simple-line-icons/css/simple-line-icons.css">
	<link rel="stylesheet" type="text/css" href="./assets/plugins/smartwizard/css/smart_wizard.min.css">
	<link rel="stylesheet" type="text/css" href="./assets/plugins/smartwizard/css/smart_wizard_theme_dots.min.css">
	<link rel="stylesheet" type="text/css" href="./assets/css/install.css">

	<script type="text/javascript" src="./assets/plugins/jquery/jquery.min.js"></script>

	<script type="text/javascript">
		var ALL_REQUIREMENTS_SUCCESS = <?=$all_requirements_success?1:0?>;
        var token = '<?=$this->security->get_csrf_hash()?>';
	</script>
</head>
<body>
	<div class="loading-overplay"><div class="cssload-container"><div class="cssload-speeding-wheel"></div></div></div>

	<div class="logo">
		<img src=".././assets/img/logo-black.png">
	</div>
	<form action="./ajax_install" data-redirect="success" class="actionForm">
		<div class="container install swMain" id="smartwizard">
		    <ul>
		        <li class="step" data-step="1"><a href="#step-1">معرفی<br /><small>شروع نصب</small></a></li>
		        <li class="step" data-step="2"><a href="#step-2">توافق<br /><small>ضوابط و شرایط استفاده</small></a></li>
		        <li class="step" data-step="3"><a href="#step-3">نیازمندیها<br /><small>شرایط لازم برای نصب اسکریپت</small></a></li>
		        <li class="step" data-step="4"><a href="#step-4">نصب و راه اندازی<br /><small>پایان نصب</small></a></li>
		    </ul>

		    <div>
		        <div id="step-1" class="step-1">
		            <h3>توجه</h3>

این نسخه توسط وبسایت پی سی اسکریپت گردآوری شده است.
<br>
<br>

<a href="https://p30script.com/product/اسکریپت-اینستاگرام-grameasy/">لینک دانلود اورجینال اسکریپت </a>
<br>
<br>
ابزارهای رایگان پی سی اسکریپت :
<br>
<a  href="https://p30script.com/alexa-check/" > ابزار نمایش رتبه الکسا </a>
<br>
<a  href="http://p30metrix.ir/" > آنالیز رایگان سایت </a>
<br>
<br>
ما را در شبکه های اجتماعی دنبال کنید
<br>
<a href="https://t.me/p30script"> تلگرام </a>
<br>
<a href="https://www.instagram.com/p30script/"> اینستاگرام </a>
<br>
<br>
پی سی اسکریپت ارائه دهنده تخصصی خدمات وب سایت
<br>
<a  href="https://p30script.com" > p30script.com </a >
					
 </div>
		        <div id="step-2" class="step-2">
	            	<h4>توافقنامه </h4>
				    <br>
هر گونه سو استفاده از این اسکریپت بر عهده استفاده کننده می باشد. 

امیدواریم بتوانید از این اسکریپت بدرستی استفاده کنید و فالورهای اکانت خود را افزایش دهید. 
 
 <br><br>

				    			
 
 
		          	<div class="pure-checkbox">
                        <input type="checkbox" id="agreement" name="agree" class="filled-in" value="on">
                        <label class="p0 m0" for="agreement">&nbsp;</label>
                        <span class="checkbox-text-right"> من موافقت نامه را خوانده و قبول دارم.</span>
                    </div>
		        </div>
		        <div id="step-3" class="step-3">
					<div class="title"><span class="num">1.</span> لطفا تنظیمات PHP خود را مطابق با الزامات زیر تنظیم کنید:</div>
					<table class="table">
						<thead class="thead-inverse">
							<tr>
								<th>PHP تنظیمات</th>
								<th class="current">کنونی</th>
								<th class="required">ضروری</th>
								<th class="status text-center">وضعیت</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>PHP نسخه</td>
								<td><?=$current_php_version?></td>
								<td><?=$php_version_required?></td>
								<td class="text-center">
									<i class="<?=$php_version_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
						</tbody>
					</table>
					<div class="title"><span class="num">1.</span> لطفا extensions و تنظیمات زیر را برای php هاست خود فعال و یا نصب کنید.:</div>
					<table class="table">
						<thead class="thead-inverse">
							<tr>
								<th>اکستشن </th>
								<th class="current">کنونی</th>
								<th class="required">ضروری</th>
								<th class="status text-center">وضعیت</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>cURL</td>
								<td><?= !empty($curl["version"]) ? $curl["version"] : "Not installed"; ?></td>
								<td>7.19.4+</td>
								<td class="text-center">
									<i class="<?=$curl_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							<tr>
								<td>MySQLi</td>
								<td><?=$mysqli_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$mysqli_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							<tr>
								<td>OpenSSL</td>
								<td><?=!empty($installed_openssl_version) ? $installed_openssl_version : "Outdated or not installed";?></td>
								<td>1.0.0c+</td>
								<td class="text-center">
									<i class="<?=$openssl_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							<tr>
								<td>PDO</td>
								<td><?=$pdo_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$pdo_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr><tr>
								<td>GD</td>
								<td><?=$gd_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$gd_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							</tr><tr>
								<td>mbstring</td>
								<td><?=$mbstring_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$mbstring_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							</tr><tr>
								<td>EXIF</td>
								<td><?=$exif_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$exif_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							</tr><tr>
								<td>ZIP</td>
								<td><?=$zip_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$zip_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							</tr><tr>
								<td>Mcrypt</td>
								<td><?=$mcrypt_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$mcrypt_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							</tr><tr>
								<td>allow_url_fopen</td>
								<td><?=$allow_url_fopen_success?"On":"Off"?></td>
								<td>فعال</td>
								<td class="text-center">
									<i class="<?=$allow_url_fopen_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
						</tbody>
					</table>
					<div class="title"><span class="num">2.</span> لطفا مطمئن شوید که قابل نوشتن هستند (پراماسیون 777) در پوشه ها / فایل های زیر :</div>
					<table class="table">
						<thead class="thead-inverse">
							<tr>
								<th>فعال</th>
								<th class="status text-center">وضعیت</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>/index.php</td>
								<td class="text-center">
									<i class="<?=$file_index_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							<tr>
								<td>/app/config.php</td>
								<td class="text-center">
									<i class="<?=$file_config_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							<tr>
								<td>/assets/uploads/</td>
								<td class="text-center">
									<i class="<?=$file_uploads_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
							<tr>
								<td>/assets/tmp/</td>
								<td class="text-center">
									<i class="<?=$file_tmp_success?"icon-check text-success":"icon-close text-danger"?>"></i>
								</td>
							</tr>
						</tbody>
					</table>
		        </div>
		        <div id="step-4" class="step-4">
		        	<div class="alert alert-danger" role="alert" style="display: none;"></div>

 

					<div class="title"><span class="num">2.</span> جزئیات اتصال به پایگاه داده</div>
				  	<div class="form-group row">
						<label for="db_host"  class="col-4 col-form-label">میزبان پایگاه داده </label>
						<div class="col-8">
							<input type="text" class="form-control" id="db_host" name="db_host" value="localhost" placeholder="">
						</div>
					</div>
					<div class="form-group row">
						<label for="db_name"  class="col-4 col-form-label">نام پایگاه داده </label>
						<div class="col-8">
							<input type="text" class="form-control" id="db_name" name="db_name" placeholder="">
						</div>
					</div>
					<div class="form-group row">
						<label for="db_user" class="col-4 col-form-label">نام کاربری </label>
						<div class="col-8">
							<input type="text" class="form-control" id="db_user" name="db_user" placeholder="">
						</div>
					</div>
					<div class="form-group row">
						<label for="db_pass"  class="col-4 col-form-label">پسورد </label>
						<div class="col-8">
							<input type="password" class="form-control" id="db_pass" name="db_pass" placeholder="">
						</div>
					</div>

					<div class="title"><span class="num">3.</span> جزئیات حساب کاربری شما برای مدیریت اسکریپت.</div>
					<div class="form-group row">
						<label for="admin_fullname" class="col-4 col-form-label">نام کامل </label>
						<div class="col-8">
							<input type="text" class="form-control" id="admin_fullname" name="admin_fullname" placeholder="">
						</div>
					</div>
					<div class="form-group row">
						<label for="admin_email" class="col-4 col-form-label">ایمیل</label>
						<div class="col-8">
							<input type="text" class="form-control" id="admin_email" name="admin_email" placeholder="">
						</div>
					</div>
					<div class="form-group row">
						<label for="admin_pass" class="col-4 col-form-label">کلمه عبور</label>
						<div class="col-8">
							<input type="password" class="form-control" id="admin_pass" name="admin_pass" placeholder="">
						</div>
					</div>
					<div class="form-group row">
						<label for="admin_timezone" class="col-4 col-form-label">منطقه زمانی </label>
						<div class="col-8">
							<select name="admin_timezone" class="form-control">
							<option value="Asia/Tehran">(UTC +04:30) Asia/Tehran</option>		             
							<?php if(!empty(tz_list())){
		                        foreach (tz_list() as $value) {
		                        ?>
		                        <option value="<?=$value['zone']?>" <?=(!empty($account) && $value['zone'] == $account->timezone)?"selected":""?> ><?=$value['time']?></option>
		                        <?php }}?>
		                    </select>
						</div>
					</div>
		        </div> 
		    </div>
		</div>
	</form>
	<script type="text/javascript" src="./assets/plugins/bootstrap/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="./assets/plugins/smartwizard/js/jquery.smartWizard.js"></script>
	<script type="text/javascript" src="./assets/js/main.js"></script>
</body>
</html>
