<?php
//VTgram add
if (!function_exists('get_24h_daily')) {
	function get_24h_daily($minute){
		$time = "00:00";
		$str_time = strtotime($time);
		$data = array();
		$loops = (60*60*24)/(60*$minute);
		for ($i=0; $i <= $loops; $i++) { 
			$time_format = date('H:i', $str_time);
			$str_time += $minute*60;
			$data[$i] = $time_format;
		}
		return $data;
	}
}

if (!function_exists('check_auto_pause_daily')) {
	function check_auto_pause_daily($from, $to, $time, $uid){
		$from = $from.":00";
		$to   = $to.":00";
		$time_user  = get_timezone_user(NOW, false, $uid);
		$hour_real  = date("G", strtotime($time_user));
		$hour_from  = date("G", strtotime($from));
		$hour_to    = date("G", strtotime($to));
		$next_time = 0;
		$check = false;

		if($hour_to > $hour_from){
			if($hour_real >= $hour_from && $hour_real <= $hour_to){
				$next_time  = date("Y-m-d", strtotime($time_user)).' '.$to;
				$check = true;
			}
		}else{
			if(($hour_real >= $hour_from && $hour_real <= 23) || (($hour_real >= 0 && $hour_real < $hour_to) )){
				$next_time  = date("Y-m-d", strtotime($time)).' '.$to;
				if($hour_real <= 23 && $hour_real >= $hour_from){
					$next_time  = date("Y-m-d", strtotime($time . ' + 1 day')).' '.$to;
				}
				$check = true;
			}
		}
		return (object)array(
			"check_auto_pause_daily" => $check,
			"next_time" => get_timezone_system($next_time, false, $uid),
		);
	}
}

if (!function_exists('estimated_time_arrival_string')) {
	function estimated_time_arrival_string($datetime) {
	    $now  = new DateTime;
	    $next = new DateTime($datetime);
	    $string = array(
	        'h' => 'hour',
	        'i' => 'minute',
	        's' => 'second',
	    );
	    $interval = $next->diff($now);

	    foreach ($string as $k => $v) {
    		$string[$k] =  $interval->$k . ' ' . lang($v .($interval->$k > 1 ? 's' : ''));
	    }
	    if($interval->h > 0){
	    	$result = $string['h'].' '.$string['i'].' '.$string['s'];
	    }else{
	    	$result = $string['i'].' '.$string['s'];
	    }
	    return $result;
	}
}

if(!function_exists("ig_update_setting_log")){
	function ig_update_setting_log($key, $value, $id, $table = ""){
		if($table == ""){
			$table = INSTAGRAM_ACTIVITIES;
		}
		$CI = &get_instance();
		
		if(empty($CI->help_model)){
			$CI->load->model('model', 'help_model');
		}

		$setting = $CI->help_model->get("settings", $table, "id = '".$id."' ")->settings;
		$option = json_decode($setting);
		if(is_array($option) || is_object($option)){
			$option = (array)$option;
			if( isset($option[$key]) ){
				$option[$key] = $value;
				$CI->db->update($table, array("settings" => json_encode($option)), array("id" => $id) );
				return true;
			}
		}
		return false;
	}
}

if(!function_exists("ig_get_setting_log")){
	function ig_get_setting_log($key, $value = "", $id, $table = ""){
		if($table == ""){
			$table = INSTAGRAM_ACTIVITIES;
		}

		$CI = &get_instance();

		if(empty($CI->help_model)){
			$CI->load->model('model', 'help_model');
		}

		$setting = $CI->help_model->get("settings", $table, "id = '".$id."'");
		if(!empty($setting)){
			$setting = $setting->settings;
			$option = json_decode($setting);

			if(is_array($option) || is_object($option)){
				$option = (array)$option;

				if( isset($option[$key]) ){
					return row($option, $key);
				}else{
					$option[$key] = $value;
					$CI->db->update($table, array("settings" => json_encode($option)), array("id" => $id) );
					return $value;
				}
			}else{
				$option = json_encode(array($key => $value));
				$CI->db->update($table, array("settings" => $option), array("id" => $id));
				return $value;
			}
		}
		return false;
	}
}
